Bug 1643983 - RFE: support for extended PTP_SYS_OFFSET ioctl in chrony [NEEDINFO]
Summary: RFE: support for extended PTP_SYS_OFFSET ioctl in chrony
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: chrony
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks: 1643962
TreeView+ depends on / blocked
 
Reported: 2018-10-29 16:43 UTC by Miroslav Lichvar
Modified: 2019-02-07 13:38 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1677218 (view as bug list)
Environment:
Last Closed: 2018-12-19 14:00:33 UTC
Target Upstream Version:
atragler: needinfo? (mkolaja)


Attachments (Terms of Use)

Description Miroslav Lichvar 2018-10-29 16:43:31 UTC
Description of problem:
A new ioctl is needed to enable a more accurate synchronization of the system clock with HW timestamping (bug #1643974). When available, the ioctl needs to be supported by chrony.

Version-Release number of selected component (if applicable):
chrony-3.2-2.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. run chronyd as an NTP client with HW timestamping and look for hwclock messages in the debug output:
    chronyd -d -d "server $LOCAL_NTPSERVER minpoll 2 maxpoll 2" \
       'hwtimestamp *' |& grep 'hwclock.*err='

Actual results:
2018-10-20T19:19:44Z hwclock.c:191:(HCL_AccumulateSample) HW clock samples=16 offset=-1.859570e-08 freq=2.936241e-05 raw_freq=3.643518e-05 err=1.193500e-06 ref_diff=7.251244e+03

It depends on the NIC, PCIe slot, and other things, but usually the reported error is about 0.7-2.5 microseconds.

Expected results:
Reported error smaller than 0.5 microsecond at least for some supported NICs.

Comment 3 Miroslav Lichvar 2018-11-27 14:23:08 UTC
The upstream code now supports the new ioctl.

Comment 6 Red Hat Bugzilla Rules Engine 2018-12-19 14:00:33 UTC
Product Management has reviewed and declined this request.
You may appeal this decision by reopening this request.


Note You need to log in before you can comment on or make changes to this bug.